dojo.provide("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecution");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("com.ibm.rqm.execution.web.ui.internal.util.Utility");

(function() { // module container

var Utility = com.ibm.rqm.execution.web.ui.internal.util.Utility;

dojo.declare("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecution",[dijit._Widget, dijit._Templated],
	{
		templateString: "<div class=\"com-hcl-etm-adapter-server-execution\">"+
						"<div dojoAttachPoint=\"_messages\"></div>"+
						"</div>",
		
		postCreate: function(){},
		
		showMessages: function(response)
		{
			dojox.xml.parser.removeChildren(this._messages);
			if (!response){
				console.debug("no response received");
				return;
			}
			var props = response.properties;
			if (props){
				var propsLength = props.length;
				for (var i = 0; i < propsLength; i++) {
					var propName = props[i].propertyName;
					var propValue = props[i].propertyValue;
					var label = document.createElement('label');
					label.id = propName;
					label.innerHTML = propName + " : " + propValue;
					this._messages.appendChild(label);
					this._messages.appendChild(document.createElement('br'));
					this._messages.appendChild(document.createElement('br'));
				}			
			}
		}
});
})();	
