dojo.provide("com.hcl.etm.adapter.server.web.ui.internal.view.extension.ServerExecutionLogSection");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("com.ibm.rqm.planning.web.ui.internal.view.extension.AbstractArtifactEditorSection");
dojo.require("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecutionLog");

(function() { // module container

var AbstractArtifactEditorSection = com.ibm.rqm.planning.web.ui.internal.view.extension.AbstractArtifactEditorSection;
var ServerExecutionLog = com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecutionLog;
dojo.declare(
   "com.hcl.etm.adapter.server.web.ui.internal.view.extension.ServerExecutionLogSection", 
   [dijit._Widget, dijit._Templated, AbstractArtifactEditorSection], 
   {
   templateString: "<div dojoAttachPoint=\"_serverExecutionLogSection\" class=\"com-hcl-etm-adapter-server-web-ui-internal-view-extension-ServerExecutionLogSection\"></div>",
   
   constructor: function(args) {    
   },
   
	postCreate: function() {
		this.inherited('postCreate', arguments);
	},

   initialize: function(){       
	dojox.xml.parser.removeChildren(this._serverExecutionLogSection);
	var widgetArgs = { 	parentController: this.parentController, 
						parentEditor: this,
						result: this.result
						};
	var _logViewer = new ServerExecutionLog(widgetArgs);
	_logViewer.initialize();
	this._serverExecutionLogSection.appendChild(_logViewer.domNode);
	this._logViewer = _logViewer;
			
  },

   //@Overriden from AbstractArtifactEditorSection
   getHelpContextID: function(){}, 
   
   //@Overriden from AbstractArtifactEditorSection
   getActions: function(){
      return [];
   },   
      
   //@Overridden from AbstractArtifactEditorSection
   saveFinished: function(){      
   },
	
	update: function() {
	   this.initialize();
	}
});

})();