dojo.provide("com.hcl.etm.adapter.server.web.ui.internal.view.extension.ServerExecutionSection");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.require("com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecution");
dojo.require("com.ibm.rqm.execution.web.ui.internal.view.common.ExecutionViewer");

(function() { // module container

var   ExecutionViewer    			= com.ibm.rqm.execution.web.ui.internal.view.common.ExecutionViewer;
var   TOKEN					       	   = "offlineToken"
var   BRANCH					       = "branch"
var   ASSETID					       = "assetId"
var   ENVIRONMENT					   = "environment"
var	  ServerExecution = com.hcl.etm.adapter.server.web.ui.internal.view.execution.ServerExecution;
dojo.declare(
   "com.hcl.etm.adapter.server.web.ui.internal.view.extension.ServerExecutionSection", 
   [dijit._Widget, dijit._Templated, ExecutionViewer], 
   {
   templateString: "<div dojoAttachPoint=\"_serverExecutionSection\" class=\"com-hcl-etm-adapter-server-web-ui-internal-view-extension-ServerExecutionSection\"></div>",
   
   constructor: function(args) {    
   },
   
   postCreate: function() {
	},

	//@Overriden from ExecutionViewer
   	initialize: function()
	{   
		var script = this.script;
		var scriptInfo = {
			itemId: script.versionableItemId  ? script.versionableItemId : script.itemId,
			type: script.scriptType.id,
			_resultId: this._resultId,
			parentWidget:this.parentEditor
		};
		if (script != null) {
		  if(script.properties)
		  { var scriptProperties = script.properties;
		  var scriptPropertiesLength = scriptProperties.length;
			for(var i=0;i<scriptPropertiesLength; i++)
			{
				if(scriptProperties[i].propertyName === TOKEN)
					scriptInfo.token = scriptProperties[i].propertyValue;	
				if(scriptProperties[i].propertyName === BRANCH)
					scriptInfo.branch = scriptProperties[i].propertyValue;
				if(scriptProperties[i].propertyName === ASSETID)
					scriptInfo.assetId = scriptProperties[i].propertyValue;
				if(scriptProperties[i].propertyName === ENVIRONMENT)
					scriptInfo.environment = scriptProperties[i].propertyValue;	
			}
		  }
		}
		this.scriptInfo = scriptInfo;     
		dojox.xml.parser.removeChildren(this._serverExecutionSection);
		this._cmdWidget = new ServerExecution({ parentController: this.parentController, ewiItemId: this.ewiItemId, scriptInfo: scriptInfo, parentSection: this});
		this._serverExecutionSection.appendChild(this._cmdWidget.domNode);
		this.inherited("initialize", arguments);	        
   },

	//@Overriden from ExecutionViewer
	getHelpContextID: function(){}, 

	//@Overriden from ExecutionViewer
	setCurrentRequest: function(request)
	{
		this._cmdWidget.showMessages(request.response)
		this.inherited("setCurrentRequest", arguments)
	}
});

})();